SLMTHREAD(1)

NAME
slmthread - threads the language model

SYNOPSIS
slmthread primitive_slm threaded_slm

DESCRIPTION
slmthread add back-off-state for each slm node in the primitive_slm. Also it compresses 32-bit float into 16 bit representation. These processing speeds up the looking up.

The primitive_slm is always generated by slmprune. And the threaded_slm can be used to feed slmseg as a reference to segment Chinese text.

AUTHOR
Originally written by Phill.Zhang <phill.zhang@sun.com>. Currently maintained by Kov.Chai <tchaikov@gmail.com>.

SEE ALSO
slmprune(1), slmseg(1).